Error running SmartGit 6.5.5 with Java 8 on Solaris 10

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Error running SmartGit 6.5.5 with Java 8 on Solaris 10

smartchris01
This post has NOT been accepted by the mailing list yet.

Hi,

 

Java version jdk1.8.0_25

SmartGit version 6.5.5

 

Since JDK 8 for Solaris only has 64-bit JVM, I am getting this error while trying to run SmartGit on a Solaris 10 Sparc server:

 

+ /usr/jdk1.8.0_25/bin/java -XX:+UseG1GC -XX:MaxGCPauseMillis=100 -XX:InitiatingHeapOccupancyPercent=25 -Xmx768m -Xverify:none -Dsun.io.useCan

onCaches=false -jar /home/pei/smartgit/lib/bootloader.jar

bootloader.d: Control file '/home/pei/.smartgit/updates/6.5/control-4176' does not contain entry 'lib/org.eclipse.swt.gtk.solaris.sparcv9.jar'

 

 

Is it possible to have the org.eclipse.swt.gtk.solaris.sparcv9.jar file included in the distribution?  Thanks very much for your help!

 

 

 

 

Thanks,

Chris